Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class QueryTableInfo

    java.lang.Object
      jet.api.QueryTableInfo

    public class QueryTableInfo

extends java.lang.Object

Constructor Summary
`QueryTableInfo(int capacity)` Constructor.

Method Summary
`void` | `add(TableInfo table)` Inserts a table's definition.
`int` | `getLength()` Gets the table number in this query.
`TableInfo` | `getTableInfo(int index)` Gets the specified table's definition.
`TableInfo[]` | `getTableInfos()` Gets all tables' definitions in the query.
`int` | `indexOf(java.lang.String tablename)` Gets the index number of the specified table in the container.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueryTableInfo

    public QueryTableInfo(int capacity)

  Constructor. Creates a container to manipulate the definitions of a query's tables.

  Parameters:
    `capacity` - Specifies the default numbers of the tables in the query.

Method Detail

### add

    public void add(TableInfo table)

  Inserts a table's definition.

  Parameters:
    `table` - TableInfo defines a table in the query.

### getTableInfos

    public TableInfo[] getTableInfos()

  Gets all tables' definitions in the query.

  Returns:
    TableInfo array.

### getTableInfo

    public TableInfo getTableInfo(int index)

  Gets the specified table's definition.

  Parameters:
    `index` - Specifies the index number of the table in this container.
  Returns:
    TableInfo locates at the specified index.

### getLength

    public int getLength()

  Gets the table number in this query.

  Returns:
    the number of tables in the query.

### indexOf

    public int indexOf(java.lang.String tablename)

  Gets the index number of the specified table in the container.

  Parameters:
    `tablename` - Specifies the table name to locate it in the container.
  Returns:
    index number of the table in the container.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD